From: Alan Beadle <ab.beadle@gmail.com>
Date: Thu 26 May 2022 12:20:49 PM EDT
Subject: Fix segmentation fault on launch
Bug-Debian: https://bugs.debian.org/715685

 Fix segfault due to returning a local variable by declaring buffer as static

Forwarded: no

--- a/hof.c
+++ b/hof.c
@@ -105,7 +105,7 @@
 static const char *hofFileName()
 {
 #ifndef _WIN32
-	char filename[1024];
+	static char filename[1024];
 	char *home;
 	struct passwd *passwd;
 	if (!getuid())
